Bug 131534 - e1000 driver not ethtool aware...
Summary: e1000 driver not ethtool aware...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-01 23:17 UTC by Johnray Fuller
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 20:06:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:505 normal SHIPPED_LIVE Important: Updated kernel packages fix security vulnerability 2004-12-13 05:00:00 UTC

Description Johnray Fuller 2004-09-01 23:17:36 UTC
Description of problem:

Ethtool does not work properly with the e1000 driver in RHEL 2.1

# uname -a
Linux homocorrectus.mine.nu 2.4.9-e.49smp #1 SMP Fri Aug 6 11:44:58
EDT 2004 i686 unknown

# ifconfig
eth2      Link encap:Ethernet  HWaddr 00:07:E9:64:47:F8
          inet addr:172.31.0.110  Bcast:172.31.255.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:44 errors:0 dropped:0 overruns:0 frame:0
          TX packets:41 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0
          RX bytes:5540 (5.4 Kb)  TX bytes:5572 (5.4 Kb)
 
# lsmod | grep e1000
e1000                  74744   1

# ethtool eth2
Settings for eth2:
No data available

# mii-tool eth2
eth2: negotiated 100baseTx-FD flow-control, link ok

So this is very bad for folks who need gigabit support for their NIC
cards.


Additional info:

A work around is to use the e1000_5220k1 for the interface instead,
which works correctly with ethtool.

J

Comment 1 John W. Linville 2004-09-03 14:21:20 UTC
Patch posted to rhkernel-list on 9/3...

Comment 2 Jason Baron 2004-10-14 18:14:47 UTC
Patch included in U6 beta

Comment 3 John Flanagan 2004-12-13 20:06:29 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-505.html



Note You need to log in before you can comment on or make changes to this bug.